Package org.apache.ignite.internal.pagemem.wal

## Interface WALIterator

All Superinterfaces:
  `AutoCloseable`, `GridCloseableIterator<IgniteBiTuple<WALPointer,​WALRecord>>`, `GridIterator<IgniteBiTuple<WALPointer,​WALRecord>>`, `GridSerializableIterator<IgniteBiTuple<WALPointer,​WALRecord>>`, `IgniteSpiCloseableIterator<IgniteBiTuple<WALPointer,​WALRecord>>`, `Iterable<IgniteBiTuple<WALPointer,​WALRecord>>`, `Iterator<IgniteBiTuple<WALPointer,​WALRecord>>`, `Serializable`

All Known Implementing Classes:
  `AbstractWalRecordsIterator`, `FilteredWalIterator`, `SingleSegmentLogicalRecordsIterator`

    public interface WALIterator
    extends GridCloseableIterator<IgniteBiTuple<WALPointer,​WALRecord>>

### Method Summary

All Methods Instance Methods Abstract Methods
`Optional<WALPointer>` `lastRead()`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridCloseableIterator

`close, isClosed`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### lastRead

    Optional<WALPointer> lastRead()

Returns:
  Pointer to the last record returned by the `Iterator.next()` method. If records are filtered by the `IgniteWalIteratorFactory.IteratorParametersBuilder.filter(IgniteBiPredicate)` then pointer to the last valid record returned.